// -------------------------------------------------------------------------------------
// ImagePortfolio.h
// -------------------------------------------------------------------------------------

extern "Objective-C" {
#import <appkit/Application.h>
#import "objectThreadPerform.h"
#import "threadStdio.h"
}

// -------------------------------------------------------------------------------------
#define	docEXTENSION		"portfolio"
#define	dotDocEXTENSION		"." docEXTENSION
#define	listALLOC(N)		[[[List alloc] initCount:N] empty]

// -------------------------------------------------------------------------------------
@interface ImagePortfolio : Application
{

	// application specific vars
	char				*lastPath;				// last saved/openned file path

	// info panel version number text field
	id					versionNum;				// version number
	
	// help
	id					helpPanel;				// help panel
	id					helpScroll;				// help scroller
	BOOL				helpIsLoaded;			// help init

	// info
	id					infoPanel;				// info panel
	BOOL				infoIsLoaded;			// info init
	
	//  preferences
	id					prefPanel;				// preferences panel
	BOOL				prefIsLoaded;			// pref init
  
	// font outlets var ids
	id					fontName;				// preference: font name
	id					fontSize;				// preference: font point size
	id					prefCellWidth;			// preference: cell width
	id					prefCellHeight;			// preference: cell height
	id					prefCellRows;			// preference: cell matrix rows
	id					prefCellColumns;		// preference: cell matrix columns

	// real appIcon local window number
	int					appIconWinNum;			// local(global([appIcon windowNum]))
	
}
  
// -------------------------------------------------------------------------------------
- setLastPath:(char*)path;
- (const char*)lastPath;

/* special event handler */
- dispatchEvents;

/* button/menu actions */
- showPreferences:sender;
- printKeyWindow:sender;

@end
